<?php

namespace FM\Service;

use FM\Factory\ChecklistFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class ChecklistService {

    protected $connection;
    protected $ChecklistFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (EntityManager $entityManager, ChecklistFactory $ChecklistFactory, Environment $Environment, NewCode $newCode) {
        $this->connection = $entityManager->getConnection();
        $this->ChecklistFactory = $ChecklistFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function getSpecificChecklist($param){
        $operadores = $this->ChecklistFactory->getSpecificChecklist($param);
        return $operadores;
    }
    
    public function listChecklist($params) {
        $checklist = $this->ChecklistFactory->listChecklist($params);
        return $checklist;
    }
}

?>